Bug 172684 - [PATCH] devel/arduino-mk: Update to 0.10
Summary: [PATCH] devel/arduino-mk: Update to 0.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-14 07:50 UTC by leres
Modified: 2012-10-21 23:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.50 KB, patch)
2012-10-14 07:50 UTC, leres
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2012-10-14 07:50:00 UTC
Upgrade to from 0.8 to 0.10; add OptionsNG for DOCS and EXAMPLES.

Fix: Please see the attached patch.

Note: files/Makefile, files/blink2.pde and files/patch-Arduino.mk are all obsolete and should be removed.

Patch attached with submission follows:
Comment 1 Raphael Kubo da Costa freebsd_committer 2012-10-21 12:11:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rakuco

I'll take it.
Comment 2 Raphael Kubo da Costa freebsd_committer 2012-10-21 12:15:19 UTC
State Changed
From-To: open->closed

Committed, thanks. You might want to run portlint in your next patches, 
as there's some low-hanging fruit there that could be fixed.
Comment 3 leres 2012-10-21 20:58:43 UTC
Thanks!

On 10/21/12 04:15, rakuco@FreeBSD.org wrote:
> Committed, thanks. You might want to run portlint in your next patches,
> as there's some low-hanging fruit there that could be fixed.

I did run portlint and didn't see anything that can be fixed.

> WARN: Makefile: possible use of absolute pathname
> "/Applications/Arduin...".

This path is used to patch a hardcode path in bin/ard-parse-boards; this
portlint test is a bit simplistic.

This could be a patch except we don't know what PREFIX will be in advance.

> WARN: Makefile: only one MASTER_SITE configured.  Consider adding
> additional mirrors.

It'd be nice if there were mirrors for this but there currently are not.

> WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX
> and/or PKGNAMESUFFIX.

The package is actually named "arduino-mk" so I believe that's what
PORTNAME should be set to, portlint not withstanding.

> WARN: Makefile: dependency to gmake listed in RUN_DEPENDS. consider
> using USE_GMAKE.

This is documented in the Makefile:

    # gmake is needed to use the port, not to build it

USE_GMAKE means "The port requires gmake to build" but not only is gmake
not needed to build the port, there's nothing to build and so NO_BUILD
is set. Maybe portlint should suppress this warning when NO_BUILD is
present?

		Craig
Comment 4 Raphael Kubo da Costa freebsd_committer 2012-10-21 22:56:15 UTC
Craig Leres <leres@ee.lbl.gov> writes:

> Thanks!
>
>> Committed, thanks. You might want to run portlint in your next patches,
>> as there's some low-hanging fruit there that could be fixed.
>
> I did run portlint and didn't see anything that can be fixed.
>
> [...]

Right, it looks like you've got it all covered :-) Sorry for the false
alarm.